org.richfaces.convert

## Class DeclarativeModelSequenceKeyConverter

- java.lang.Object
- - org.richfaces.convert.DeclarativeModelSequenceKeyConverter

- All Implemented Interfaces:
    javax.faces.convert.Converter

      public class DeclarativeModelSequenceKeyConverter
      extends Object
      implements javax.faces.convert.Converter

  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONVERTER_ID`

    - ### Fields inherited from interface javax.faces.convert.Converter

      `DATETIMECONVERTER_DEFAULT_TIMEZONE_IS_SYSTEM_TIMEZONE_PARAM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeclarativeModelSequenceKeyConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String value)`
    `String` | `getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONVERTER_ID

          public static final String CONVERTER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DeclarativeModelSequenceKeyConverter

          public DeclarativeModelSequenceKeyConverter()

  - ### Method Detail

    - #### getAsObject

          public Object getAsObject(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component,
                           String value)
                             throws javax.faces.convert.ConverterException

      Specified by:
        `getAsObject` in interface `javax.faces.convert.Converter`
      Throws:
        `javax.faces.convert.ConverterException`

    - #### getAsString

          public String getAsString(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component,
                           Object value)

      Specified by:
        `getAsString` in interface `javax.faces.convert.Converter`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.